com.jscape.inet.mft.management.client.api

## Class ManagerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.mft.management.client.api.ManagerException

- All Implemented Interfaces:
    java.io.Serializable

      public class ManagerException
      extends java.lang.Exception

  Represents manager system error.
  Author:
    Alex
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagerException(java.lang.String message)` Creates a new error instance.
    `ManagerException(java.lang.String message, java.lang.Throwable cause)` Creates a new error instance.
    `ManagerException(java.lang.Throwable cause)` Creates a new error instance.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ManagerException` | `wrap(java.lang.Throwable e)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagerException

          public ManagerException(java.lang.String message)

      Creates a new error instance.
      Parameters:
        `message` - the error message

    - #### ManagerException

          public ManagerException(java.lang.Throwable cause)

      Creates a new error instance.
      Parameters:
        `cause` - the error cause

    - #### ManagerException

          public ManagerException(java.lang.String message,
                                  java.lang.Throwable cause)

      Creates a new error instance.
      Parameters:
        `message` - the error message
        `cause` - the error cause

  - ### Method Detail

    - #### wrap

          public static ManagerException wrap(java.lang.Throwable e)

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved